Monitoring - Add Dashboard
Anforderung zum Speichern des Dashboards in der Überwachungsansicht.
POST http://<Servername>/OperationsManager/monitoring/dashboard
Anforderungstext
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| Name | Erforderlich | Typ | Beschreibung |
|---|---|---|---|
| name | True |
string |
Name der Komponente |
| componentType |
string |
Komponententyp |
|
| config |
string |
Komponenten-Konfiguration |
|
| description |
string |
Beschreibung der Komponente |
|
| mpDescription |
string |
MP Beschreibung |
|
| mpId |
string |
Mp-Kennung |
|
| mpName |
string |
Name des Abgeordneten |
|
| mpVersion |
string |
MP-Ausführung |
|
| path |
string |
Pfad |
Antworten
| Name | Typ | Beschreibung |
|---|---|---|
| 200 OK |
OKAY. Dashboard erfolgreich gespeichert Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Beispiele
Monitoring_AddDashboard
Beispielanforderung
POST http://<Servername>/OperationsManager/monitoring/dashboard
{
"mpId": "dcfdedc4-68bd-42b4-1e9a-ba94b1577732",
"mpName": "Notifications Internal Library",
"path": "Monitoring",
"name": "Notification Dashsboard",
"description": "test",
"config": null,
"componentType": null
}
Beispiel für eine Antwort
{
"id": "7c7cd385-30f5-312f-9123-31c2f22f6edf",
"name": "Notification Dashsboard",
"description": "test",
"mpId": "dcfdedc4-68bd-42b4-1e9a-ba94b1577732",
"componentType": null,
"config": null
}
Definitionen
| Name | Beschreibung |
|---|---|
|
Component |
|
|
Monitoring |
ComponentResponse
| Name | Typ | Beschreibung |
|---|---|---|
| componentType |
string |
Komponententyp |
| config |
string |
Konfiguration |
| description |
string |
Beschreibung der Komponente |
| id |
string |
Identifikationsnummer |
| mpId |
string |
MP-ID der Komponente |
| name |
string |
Komponentenname |
MonitoringComponentRequest
| Name | Typ | Beschreibung |
|---|---|---|
| componentType |
string |
Komponententyp |
| config |
string |
Komponenten-Konfiguration |
| description |
string |
Beschreibung der Komponente |
| mpDescription |
string |
MP Beschreibung |
| mpId |
string |
Mp-Kennung |
| mpName |
string |
Name des Abgeordneten |
| mpVersion |
string |
MP-Ausführung |
| name |
string |
Name der Komponente |
| path |
string |
Pfad |